diff --git a/docs/internals/contributing/writing-code/unit-tests.txt b/docs/internals/contributing/writing-code/unit-tests.txt
--- a/docs/internals/contributing/writing-code/unit-tests.txt
+++ b/docs/internals/contributing/writing-code/unit-tests.txt
@@ -7,8 +7,8 @@
 
 The tests cover:
 
-    * Models and the database API (``tests/modeltests/``).
-    * Everything else in core Django code (``tests/regressiontests``)
+    * Models, the database API and everything else in core Django code
+      (``tests/regressiontests``)
     * Contrib apps (``django/contrib/<contribapp>/tests``, see below)
 
 We appreciate any and all contributions to the test suite!
@@ -105,8 +105,7 @@
     ./runtests.py --settings=path.to.settings generic_relations i18n
 
 How do you find out the names of individual tests? Look in
-``tests/modeltests`` and ``tests/regressiontests`` -- each directory name
-there is the name of a test.
+``tests/regressiontests`` -- each directory name there is the name of a test.
 
 If you just want to run a particular class of tests, you can specify a list of
 paths to individual test classes. For example, to run the ``TranslationTests``
diff --git a/docs/topics/db/models.txt b/docs/topics/db/models.txt
--- a/docs/topics/db/models.txt
+++ b/docs/topics/db/models.txt
@@ -18,14 +18,6 @@
     * With all of this, Django gives you an automatically-generated
       database-access API; see :doc:`/topics/db/queries`.
 
-.. seealso::
-
-    A companion to this document is the `official repository of model
-    examples`_. (In the Django source distribution, these examples are in the
-    ``tests/modeltests`` directory.)
-
-    .. _official repository of model examples: http://code.djangoproject.com/browser/django/trunk/tests/modeltests
-
 Quick example
 =============
 
@@ -329,7 +321,7 @@
     For sample code, see the `Many-to-one relationship model tests`_.
 
     .. _Following relationships backward example: http://docs.djangoproject.com/en/dev/topics/db/queries/#backwards-related-objects
-    .. _Many-to-one relationship model tests: http://code.djangoproject.com/browser/django/trunk/tests/modeltests/many_to_one
+    .. _Many-to-one relationship model tests: http://code.djangoproject.com/browser/django/trunk/tests/regressiontests/many_to_one
 
 Many-to-many relationships
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -379,7 +371,7 @@
 
     See the `Many-to-many relationship model example`_ for a full example.
 
-.. _Many-to-many relationship model example: http://code.djangoproject.com/browser/django/trunk/tests/modeltests/many_to_many/models.py
+.. _Many-to-many relationship model example: http://code.djangoproject.com/browser/django/trunk/tests/regressiontests/many_to_many/models.py
 
 :class:`~django.db.models.ManyToManyField` fields also accept a number of extra
 arguments which are explained in :ref:`the model field reference
@@ -553,7 +545,7 @@
 
     See the `One-to-one relationship model example`_ for a full example.
 
-.. _One-to-one relationship model example: http://code.djangoproject.com/browser/django/trunk/tests/modeltests/one_to_one/models.py
+.. _One-to-one relationship model example: http://code.djangoproject.com/browser/django/trunk/tests/regressiontests/one_to_one/models.py
 
 :class:`~django.db.models.OneToOneField` fields also accept one optional argument
 described in the :ref:`model field reference <ref-onetoone>`.
diff --git a/docs/topics/db/queries.txt b/docs/topics/db/queries.txt
--- a/docs/topics/db/queries.txt
+++ b/docs/topics/db/queries.txt
@@ -740,7 +740,7 @@
     The `OR lookups examples`_ in the Django unit tests show some possible uses
     of ``Q``.
 
-    .. _OR lookups examples: http://code.djangoproject.com/browser/django/trunk/tests/modeltests/or_lookups/tests.py
+    .. _OR lookups examples: http://code.djangoproject.com/browser/django/trunk/tests/regressiontests/or_lookups/tests.py
 
 Comparing objects
 =================
diff --git a/tests/modeltests/__init__.py b/tests/modeltests/__init__.py
deleted file mode 100644
diff --git a/tests/modeltests/aggregation/__init__.py b/tests/regressiontests/aggregation/__init__.py
rename from tests/modeltests/aggregation/__init__.py
rename to tests/regressiontests/aggregation/__init__.py
diff --git a/tests/modeltests/aggregation/fixtures/initial_data.json b/tests/regressiontests/aggregation/fixtures/initial_data.json
rename from tests/modeltests/aggregation/fixtures/initial_data.json
rename to tests/regressiontests/aggregation/fixtures/initial_data.json
diff --git a/tests/modeltests/aggregation/models.py b/tests/regressiontests/aggregation/models.py
rename from tests/modeltests/aggregation/models.py
rename to tests/regressiontests/aggregation/models.py
diff --git a/tests/modeltests/aggregation/tests.py b/tests/regressiontests/aggregation/tests.py
rename from tests/modeltests/aggregation/tests.py
rename to tests/regressiontests/aggregation/tests.py
diff --git a/tests/modeltests/basic/__init__.py b/tests/regressiontests/basic/__init__.py
rename from tests/modeltests/basic/__init__.py
rename to tests/regressiontests/basic/__init__.py
diff --git a/tests/modeltests/basic/models.py b/tests/regressiontests/basic/models.py
rename from tests/modeltests/basic/models.py
rename to tests/regressiontests/basic/models.py
diff --git a/tests/modeltests/basic/tests.py b/tests/regressiontests/basic/tests.py
rename from tests/modeltests/basic/tests.py
rename to tests/regressiontests/basic/tests.py
diff --git a/tests/modeltests/choices/__init__.py b/tests/regressiontests/choices/__init__.py
rename from tests/modeltests/choices/__init__.py
rename to tests/regressiontests/choices/__init__.py
diff --git a/tests/modeltests/choices/models.py b/tests/regressiontests/choices/models.py
rename from tests/modeltests/choices/models.py
rename to tests/regressiontests/choices/models.py
diff --git a/tests/modeltests/choices/tests.py b/tests/regressiontests/choices/tests.py
rename from tests/modeltests/choices/tests.py
rename to tests/regressiontests/choices/tests.py
diff --git a/tests/modeltests/custom_columns/__init__.py b/tests/regressiontests/custom_columns/__init__.py
rename from tests/modeltests/custom_columns/__init__.py
rename to tests/regressiontests/custom_columns/__init__.py
diff --git a/tests/modeltests/custom_columns/models.py b/tests/regressiontests/custom_columns/models.py
rename from tests/modeltests/custom_columns/models.py
rename to tests/regressiontests/custom_columns/models.py
diff --git a/tests/modeltests/custom_columns/tests.py b/tests/regressiontests/custom_columns/tests.py
rename from tests/modeltests/custom_columns/tests.py
rename to tests/regressiontests/custom_columns/tests.py
diff --git a/tests/modeltests/custom_managers/__init__.py b/tests/regressiontests/custom_managers/__init__.py
rename from tests/modeltests/custom_managers/__init__.py
rename to tests/regressiontests/custom_managers/__init__.py
diff --git a/tests/modeltests/custom_managers/models.py b/tests/regressiontests/custom_managers/models.py
rename from tests/modeltests/custom_managers/models.py
rename to tests/regressiontests/custom_managers/models.py
diff --git a/tests/modeltests/custom_managers/tests.py b/tests/regressiontests/custom_managers/tests.py
rename from tests/modeltests/custom_managers/tests.py
rename to tests/regressiontests/custom_managers/tests.py
diff --git a/tests/modeltests/custom_methods/__init__.py b/tests/regressiontests/custom_methods/__init__.py
rename from tests/modeltests/custom_methods/__init__.py
rename to tests/regressiontests/custom_methods/__init__.py
diff --git a/tests/modeltests/custom_methods/models.py b/tests/regressiontests/custom_methods/models.py
rename from tests/modeltests/custom_methods/models.py
rename to tests/regressiontests/custom_methods/models.py
diff --git a/tests/modeltests/custom_methods/tests.py b/tests/regressiontests/custom_methods/tests.py
rename from tests/modeltests/custom_methods/tests.py
rename to tests/regressiontests/custom_methods/tests.py
diff --git a/tests/modeltests/custom_pk/__init__.py b/tests/regressiontests/custom_pk/__init__.py
rename from tests/modeltests/custom_pk/__init__.py
rename to tests/regressiontests/custom_pk/__init__.py
diff --git a/tests/modeltests/custom_pk/fields.py b/tests/regressiontests/custom_pk/fields.py
rename from tests/modeltests/custom_pk/fields.py
rename to tests/regressiontests/custom_pk/fields.py
diff --git a/tests/modeltests/custom_pk/models.py b/tests/regressiontests/custom_pk/models.py
rename from tests/modeltests/custom_pk/models.py
rename to tests/regressiontests/custom_pk/models.py
diff --git a/tests/modeltests/custom_pk/tests.py b/tests/regressiontests/custom_pk/tests.py
rename from tests/modeltests/custom_pk/tests.py
rename to tests/regressiontests/custom_pk/tests.py
diff --git a/tests/modeltests/defer/__init__.py b/tests/regressiontests/defer/__init__.py
rename from tests/modeltests/defer/__init__.py
rename to tests/regressiontests/defer/__init__.py
diff --git a/tests/modeltests/defer/models.py b/tests/regressiontests/defer/models.py
rename from tests/modeltests/defer/models.py
rename to tests/regressiontests/defer/models.py
diff --git a/tests/modeltests/defer/tests.py b/tests/regressiontests/defer/tests.py
rename from tests/modeltests/defer/tests.py
rename to tests/regressiontests/defer/tests.py
diff --git a/tests/modeltests/delete/__init__.py b/tests/regressiontests/delete/__init__.py
rename from tests/modeltests/delete/__init__.py
rename to tests/regressiontests/delete/__init__.py
diff --git a/tests/modeltests/delete/models.py b/tests/regressiontests/delete/models.py
rename from tests/modeltests/delete/models.py
rename to tests/regressiontests/delete/models.py
diff --git a/tests/modeltests/delete/tests.py b/tests/regressiontests/delete/tests.py
rename from tests/modeltests/delete/tests.py
rename to tests/regressiontests/delete/tests.py
--- a/tests/modeltests/delete/tests.py
+++ b/tests/regressiontests/delete/tests.py
@@ -1,8 +1,8 @@
 from django.db import models, IntegrityError
 from django.test import TestCase, skipUnlessDBFeature, skipIfDBFeature
 
-from modeltests.delete.models import (R, RChild, S, T, U, A, M, MR, MRNull,
-    create_a, get_default_r, User, Avatar, HiddenUser, HiddenUserProfile)
+from models import (R, RChild, S, T, U, A, M, MR, MRNull, create_a,
+    get_default_r, User, Avatar, HiddenUser, HiddenUserProfile)
 
 
 class OnDeleteTests(TestCase):
diff --git a/tests/modeltests/empty/__init__.py b/tests/regressiontests/empty/__init__.py
rename from tests/modeltests/empty/__init__.py
rename to tests/regressiontests/empty/__init__.py
diff --git a/tests/modeltests/empty/models.py b/tests/regressiontests/empty/models.py
rename from tests/modeltests/empty/models.py
rename to tests/regressiontests/empty/models.py
diff --git a/tests/modeltests/empty/tests.py b/tests/regressiontests/empty/tests.py
rename from tests/modeltests/empty/tests.py
rename to tests/regressiontests/empty/tests.py
diff --git a/tests/modeltests/expressions/__init__.py b/tests/regressiontests/expressions/__init__.py
rename from tests/modeltests/expressions/__init__.py
rename to tests/regressiontests/expressions/__init__.py
diff --git a/tests/modeltests/expressions/models.py b/tests/regressiontests/expressions/models.py
rename from tests/modeltests/expressions/models.py
rename to tests/regressiontests/expressions/models.py
diff --git a/tests/modeltests/expressions/tests.py b/tests/regressiontests/expressions/tests.py
rename from tests/modeltests/expressions/tests.py
rename to tests/regressiontests/expressions/tests.py
diff --git a/tests/modeltests/field_defaults/__init__.py b/tests/regressiontests/field_defaults/__init__.py
rename from tests/modeltests/field_defaults/__init__.py
rename to tests/regressiontests/field_defaults/__init__.py
diff --git a/tests/modeltests/field_defaults/models.py b/tests/regressiontests/field_defaults/models.py
rename from tests/modeltests/field_defaults/models.py
rename to tests/regressiontests/field_defaults/models.py
diff --git a/tests/modeltests/field_defaults/tests.py b/tests/regressiontests/field_defaults/tests.py
rename from tests/modeltests/field_defaults/tests.py
rename to tests/regressiontests/field_defaults/tests.py
diff --git a/tests/modeltests/field_subclassing/__init__.py b/tests/regressiontests/field_subclassing/__init__.py
rename from tests/modeltests/field_subclassing/__init__.py
rename to tests/regressiontests/field_subclassing/__init__.py
diff --git a/tests/modeltests/field_subclassing/fields.py b/tests/regressiontests/field_subclassing/fields.py
rename from tests/modeltests/field_subclassing/fields.py
rename to tests/regressiontests/field_subclassing/fields.py
diff --git a/tests/modeltests/field_subclassing/models.py b/tests/regressiontests/field_subclassing/models.py
rename from tests/modeltests/field_subclassing/models.py
rename to tests/regressiontests/field_subclassing/models.py
diff --git a/tests/modeltests/field_subclassing/tests.py b/tests/regressiontests/field_subclassing/tests.py
rename from tests/modeltests/field_subclassing/tests.py
rename to tests/regressiontests/field_subclassing/tests.py
diff --git a/tests/modeltests/files/__init__.py b/tests/regressiontests/files/__init__.py
rename from tests/modeltests/files/__init__.py
rename to tests/regressiontests/files/__init__.py
diff --git a/tests/modeltests/files/models.py b/tests/regressiontests/files/models.py
rename from tests/modeltests/files/models.py
rename to tests/regressiontests/files/models.py
diff --git a/tests/modeltests/files/tests.py b/tests/regressiontests/files/tests.py
rename from tests/modeltests/files/tests.py
rename to tests/regressiontests/files/tests.py
diff --git a/tests/modeltests/fixtures/__init__.py b/tests/regressiontests/fixtures/__init__.py
rename from tests/modeltests/fixtures/__init__.py
rename to tests/regressiontests/fixtures/__init__.py
diff --git a/tests/modeltests/fixtures/fixtures/db_fixture_1.default.json b/tests/regressiontests/fixtures/fixtures/db_fixture_1.default.json
rename from tests/modeltests/fixtures/fixtures/db_fixture_1.default.json
rename to tests/regressiontests/fixtures/fixtures/db_fixture_1.default.json
diff --git a/tests/modeltests/fixtures/fixtures/db_fixture_2.default.json.gz b/tests/regressiontests/fixtures/fixtures/db_fixture_2.default.json.gz
rename from tests/modeltests/fixtures/fixtures/db_fixture_2.default.json.gz
rename to tests/regressiontests/fixtures/fixtures/db_fixture_2.default.json.gz
diff --git a/tests/modeltests/fixtures/fixtures/db_fixture_3.nosuchdb.json b/tests/regressiontests/fixtures/fixtures/db_fixture_3.nosuchdb.json
rename from tests/modeltests/fixtures/fixtures/db_fixture_3.nosuchdb.json
rename to tests/regressiontests/fixtures/fixtures/db_fixture_3.nosuchdb.json
diff --git a/tests/modeltests/fixtures/fixtures/fixture1.json b/tests/regressiontests/fixtures/fixtures/fixture1.json
rename from tests/modeltests/fixtures/fixtures/fixture1.json
rename to tests/regressiontests/fixtures/fixtures/fixture1.json
diff --git a/tests/modeltests/fixtures/fixtures/fixture2.json b/tests/regressiontests/fixtures/fixtures/fixture2.json
rename from tests/modeltests/fixtures/fixtures/fixture2.json
rename to tests/regressiontests/fixtures/fixtures/fixture2.json
diff --git a/tests/modeltests/fixtures/fixtures/fixture2.xml b/tests/regressiontests/fixtures/fixtures/fixture2.xml
rename from tests/modeltests/fixtures/fixtures/fixture2.xml
rename to tests/regressiontests/fixtures/fixtures/fixture2.xml
diff --git a/tests/modeltests/fixtures/fixtures/fixture3.xml b/tests/regressiontests/fixtures/fixtures/fixture3.xml
rename from tests/modeltests/fixtures/fixtures/fixture3.xml
rename to tests/regressiontests/fixtures/fixtures/fixture3.xml
diff --git a/tests/modeltests/fixtures/fixtures/fixture4.json.zip b/tests/regressiontests/fixtures/fixtures/fixture4.json.zip
rename from tests/modeltests/fixtures/fixtures/fixture4.json.zip
rename to tests/regressiontests/fixtures/fixtures/fixture4.json.zip
diff --git a/tests/modeltests/fixtures/fixtures/fixture5.json.gz b/tests/regressiontests/fixtures/fixtures/fixture5.json.gz
rename from tests/modeltests/fixtures/fixtures/fixture5.json.gz
rename to tests/regressiontests/fixtures/fixtures/fixture5.json.gz
diff --git a/tests/modeltests/fixtures/fixtures/fixture5.json.zip b/tests/regressiontests/fixtures/fixtures/fixture5.json.zip
rename from tests/modeltests/fixtures/fixtures/fixture5.json.zip
rename to tests/regressiontests/fixtures/fixtures/fixture5.json.zip
diff --git a/tests/modeltests/fixtures/fixtures/fixture6.json b/tests/regressiontests/fixtures/fixtures/fixture6.json
rename from tests/modeltests/fixtures/fixtures/fixture6.json
rename to tests/regressiontests/fixtures/fixtures/fixture6.json
diff --git a/tests/modeltests/fixtures/fixtures/fixture7.xml b/tests/regressiontests/fixtures/fixtures/fixture7.xml
rename from tests/modeltests/fixtures/fixtures/fixture7.xml
rename to tests/regressiontests/fixtures/fixtures/fixture7.xml
diff --git a/tests/modeltests/fixtures/fixtures/fixture8.json b/tests/regressiontests/fixtures/fixtures/fixture8.json
rename from tests/modeltests/fixtures/fixtures/fixture8.json
rename to tests/regressiontests/fixtures/fixtures/fixture8.json
diff --git a/tests/modeltests/fixtures/fixtures/fixture9.xml b/tests/regressiontests/fixtures/fixtures/fixture9.xml
rename from tests/modeltests/fixtures/fixtures/fixture9.xml
rename to tests/regressiontests/fixtures/fixtures/fixture9.xml
diff --git a/tests/modeltests/fixtures/fixtures/initial_data.json b/tests/regressiontests/fixtures/fixtures/initial_data.json
rename from tests/modeltests/fixtures/fixtures/initial_data.json
rename to tests/regressiontests/fixtures/fixtures/initial_data.json
diff --git a/tests/modeltests/fixtures/models.py b/tests/regressiontests/fixtures/models.py
rename from tests/modeltests/fixtures/models.py
rename to tests/regressiontests/fixtures/models.py
diff --git a/tests/modeltests/fixtures/tests.py b/tests/regressiontests/fixtures/tests.py
rename from tests/modeltests/fixtures/tests.py
rename to tests/regressiontests/fixtures/tests.py
diff --git a/tests/modeltests/fixtures_model_package/__init__.py b/tests/regressiontests/fixtures_model_package/__init__.py
rename from tests/modeltests/fixtures_model_package/__init__.py
rename to tests/regressiontests/fixtures_model_package/__init__.py
diff --git a/tests/modeltests/fixtures_model_package/fixtures/fixture1.json b/tests/regressiontests/fixtures_model_package/fixtures/fixture1.json
rename from tests/modeltests/fixtures_model_package/fixtures/fixture1.json
rename to tests/regressiontests/fixtures_model_package/fixtures/fixture1.json
diff --git a/tests/modeltests/fixtures_model_package/fixtures/fixture2.json b/tests/regressiontests/fixtures_model_package/fixtures/fixture2.json
rename from tests/modeltests/fixtures_model_package/fixtures/fixture2.json
rename to tests/regressiontests/fixtures_model_package/fixtures/fixture2.json
diff --git a/tests/modeltests/fixtures_model_package/fixtures/fixture2.xml b/tests/regressiontests/fixtures_model_package/fixtures/fixture2.xml
rename from tests/modeltests/fixtures_model_package/fixtures/fixture2.xml
rename to tests/regressiontests/fixtures_model_package/fixtures/fixture2.xml
diff --git a/tests/modeltests/fixtures_model_package/fixtures/initial_data.json b/tests/regressiontests/fixtures_model_package/fixtures/initial_data.json
rename from tests/modeltests/fixtures_model_package/fixtures/initial_data.json
rename to tests/regressiontests/fixtures_model_package/fixtures/initial_data.json
diff --git a/tests/modeltests/fixtures_model_package/models/__init__.py b/tests/regressiontests/fixtures_model_package/models/__init__.py
rename from tests/modeltests/fixtures_model_package/models/__init__.py
rename to tests/regressiontests/fixtures_model_package/models/__init__.py
diff --git a/tests/modeltests/fixtures_model_package/tests.py b/tests/regressiontests/fixtures_model_package/tests.py
rename from tests/modeltests/fixtures_model_package/tests.py
rename to tests/regressiontests/fixtures_model_package/tests.py
diff --git a/tests/modeltests/force_insert_update/__init__.py b/tests/regressiontests/force_insert_update/__init__.py
rename from tests/modeltests/force_insert_update/__init__.py
rename to tests/regressiontests/force_insert_update/__init__.py
diff --git a/tests/modeltests/force_insert_update/models.py b/tests/regressiontests/force_insert_update/models.py
rename from tests/modeltests/force_insert_update/models.py
rename to tests/regressiontests/force_insert_update/models.py
diff --git a/tests/modeltests/force_insert_update/tests.py b/tests/regressiontests/force_insert_update/tests.py
rename from tests/modeltests/force_insert_update/tests.py
rename to tests/regressiontests/force_insert_update/tests.py
diff --git a/tests/modeltests/generic_relations/__init__.py b/tests/regressiontests/generic_relations/__init__.py
rename from tests/modeltests/generic_relations/__init__.py
rename to tests/regressiontests/generic_relations/__init__.py
diff --git a/tests/modeltests/generic_relations/models.py b/tests/regressiontests/generic_relations/models.py
rename from tests/modeltests/generic_relations/models.py
rename to tests/regressiontests/generic_relations/models.py
diff --git a/tests/modeltests/generic_relations/tests.py b/tests/regressiontests/generic_relations/tests.py
rename from tests/modeltests/generic_relations/tests.py
rename to tests/regressiontests/generic_relations/tests.py
diff --git a/tests/modeltests/get_latest/__init__.py b/tests/regressiontests/get_latest/__init__.py
rename from tests/modeltests/get_latest/__init__.py
rename to tests/regressiontests/get_latest/__init__.py
diff --git a/tests/modeltests/get_latest/models.py b/tests/regressiontests/get_latest/models.py
rename from tests/modeltests/get_latest/models.py
rename to tests/regressiontests/get_latest/models.py
diff --git a/tests/modeltests/get_latest/tests.py b/tests/regressiontests/get_latest/tests.py
rename from tests/modeltests/get_latest/tests.py
rename to tests/regressiontests/get_latest/tests.py
diff --git a/tests/modeltests/get_object_or_404/__init__.py b/tests/regressiontests/get_object_or_404/__init__.py
rename from tests/modeltests/get_object_or_404/__init__.py
rename to tests/regressiontests/get_object_or_404/__init__.py
diff --git a/tests/modeltests/get_object_or_404/models.py b/tests/regressiontests/get_object_or_404/models.py
rename from tests/modeltests/get_object_or_404/models.py
rename to tests/regressiontests/get_object_or_404/models.py
diff --git a/tests/modeltests/get_object_or_404/tests.py b/tests/regressiontests/get_object_or_404/tests.py
rename from tests/modeltests/get_object_or_404/tests.py
rename to tests/regressiontests/get_object_or_404/tests.py
diff --git a/tests/modeltests/get_or_create/__init__.py b/tests/regressiontests/get_or_create/__init__.py
rename from tests/modeltests/get_or_create/__init__.py
rename to tests/regressiontests/get_or_create/__init__.py
diff --git a/tests/modeltests/get_or_create/models.py b/tests/regressiontests/get_or_create/models.py
rename from tests/modeltests/get_or_create/models.py
rename to tests/regressiontests/get_or_create/models.py
diff --git a/tests/modeltests/get_or_create/tests.py b/tests/regressiontests/get_or_create/tests.py
rename from tests/modeltests/get_or_create/tests.py
rename to tests/regressiontests/get_or_create/tests.py
diff --git a/tests/modeltests/invalid_models/__init__.py b/tests/regressiontests/invalid_models/__init__.py
rename from tests/modeltests/invalid_models/__init__.py
rename to tests/regressiontests/invalid_models/__init__.py
diff --git a/tests/modeltests/invalid_models/models.py b/tests/regressiontests/invalid_models/models.py
rename from tests/modeltests/invalid_models/models.py
rename to tests/regressiontests/invalid_models/models.py
diff --git a/tests/modeltests/lookup/__init__.py b/tests/regressiontests/lookup/__init__.py
rename from tests/modeltests/lookup/__init__.py
rename to tests/regressiontests/lookup/__init__.py
diff --git a/tests/modeltests/lookup/models.py b/tests/regressiontests/lookup/models.py
rename from tests/modeltests/lookup/models.py
rename to tests/regressiontests/lookup/models.py
diff --git a/tests/modeltests/lookup/tests.py b/tests/regressiontests/lookup/tests.py
rename from tests/modeltests/lookup/tests.py
rename to tests/regressiontests/lookup/tests.py
diff --git a/tests/modeltests/m2m_and_m2o/__init__.py b/tests/regressiontests/m2m_and_m2o/__init__.py
rename from tests/modeltests/m2m_and_m2o/__init__.py
rename to tests/regressiontests/m2m_and_m2o/__init__.py
diff --git a/tests/modeltests/m2m_and_m2o/models.py b/tests/regressiontests/m2m_and_m2o/models.py
rename from tests/modeltests/m2m_and_m2o/models.py
rename to tests/regressiontests/m2m_and_m2o/models.py
diff --git a/tests/modeltests/m2m_and_m2o/tests.py b/tests/regressiontests/m2m_and_m2o/tests.py
rename from tests/modeltests/m2m_and_m2o/tests.py
rename to tests/regressiontests/m2m_and_m2o/tests.py
diff --git a/tests/modeltests/m2m_intermediary/__init__.py b/tests/regressiontests/m2m_intermediary/__init__.py
rename from tests/modeltests/m2m_intermediary/__init__.py
rename to tests/regressiontests/m2m_intermediary/__init__.py
diff --git a/tests/modeltests/m2m_intermediary/models.py b/tests/regressiontests/m2m_intermediary/models.py
rename from tests/modeltests/m2m_intermediary/models.py
rename to tests/regressiontests/m2m_intermediary/models.py
diff --git a/tests/modeltests/m2m_intermediary/tests.py b/tests/regressiontests/m2m_intermediary/tests.py
rename from tests/modeltests/m2m_intermediary/tests.py
rename to tests/regressiontests/m2m_intermediary/tests.py
diff --git a/tests/modeltests/m2m_multiple/__init__.py b/tests/regressiontests/m2m_multiple/__init__.py
rename from tests/modeltests/m2m_multiple/__init__.py
rename to tests/regressiontests/m2m_multiple/__init__.py
diff --git a/tests/modeltests/m2m_multiple/models.py b/tests/regressiontests/m2m_multiple/models.py
rename from tests/modeltests/m2m_multiple/models.py
rename to tests/regressiontests/m2m_multiple/models.py
diff --git a/tests/modeltests/m2m_multiple/tests.py b/tests/regressiontests/m2m_multiple/tests.py
rename from tests/modeltests/m2m_multiple/tests.py
rename to tests/regressiontests/m2m_multiple/tests.py
diff --git a/tests/modeltests/m2m_recursive/__init__.py b/tests/regressiontests/m2m_recursive/__init__.py
rename from tests/modeltests/m2m_recursive/__init__.py
rename to tests/regressiontests/m2m_recursive/__init__.py
diff --git a/tests/modeltests/m2m_recursive/models.py b/tests/regressiontests/m2m_recursive/models.py
rename from tests/modeltests/m2m_recursive/models.py
rename to tests/regressiontests/m2m_recursive/models.py
diff --git a/tests/modeltests/m2m_recursive/tests.py b/tests/regressiontests/m2m_recursive/tests.py
rename from tests/modeltests/m2m_recursive/tests.py
rename to tests/regressiontests/m2m_recursive/tests.py
diff --git a/tests/modeltests/m2m_signals/__init__.py b/tests/regressiontests/m2m_signals/__init__.py
rename from tests/modeltests/m2m_signals/__init__.py
rename to tests/regressiontests/m2m_signals/__init__.py
diff --git a/tests/modeltests/m2m_signals/models.py b/tests/regressiontests/m2m_signals/models.py
rename from tests/modeltests/m2m_signals/models.py
rename to tests/regressiontests/m2m_signals/models.py
diff --git a/tests/modeltests/m2m_signals/tests.py b/tests/regressiontests/m2m_signals/tests.py
rename from tests/modeltests/m2m_signals/tests.py
rename to tests/regressiontests/m2m_signals/tests.py
diff --git a/tests/modeltests/m2m_through/__init__.py b/tests/regressiontests/m2m_through/__init__.py
rename from tests/modeltests/m2m_through/__init__.py
rename to tests/regressiontests/m2m_through/__init__.py
diff --git a/tests/modeltests/m2m_through/models.py b/tests/regressiontests/m2m_through/models.py
rename from tests/modeltests/m2m_through/models.py
rename to tests/regressiontests/m2m_through/models.py
diff --git a/tests/modeltests/m2m_through/tests.py b/tests/regressiontests/m2m_through/tests.py
rename from tests/modeltests/m2m_through/tests.py
rename to tests/regressiontests/m2m_through/tests.py
diff --git a/tests/modeltests/m2o_recursive/__init__.py b/tests/regressiontests/m2o_recursive/__init__.py
rename from tests/modeltests/m2o_recursive/__init__.py
rename to tests/regressiontests/m2o_recursive/__init__.py
diff --git a/tests/modeltests/m2o_recursive/models.py b/tests/regressiontests/m2o_recursive/models.py
rename from tests/modeltests/m2o_recursive/models.py
rename to tests/regressiontests/m2o_recursive/models.py
diff --git a/tests/modeltests/m2o_recursive/tests.py b/tests/regressiontests/m2o_recursive/tests.py
rename from tests/modeltests/m2o_recursive/tests.py
rename to tests/regressiontests/m2o_recursive/tests.py
diff --git a/tests/modeltests/many_to_many/__init__.py b/tests/regressiontests/many_to_many/__init__.py
rename from tests/modeltests/many_to_many/__init__.py
rename to tests/regressiontests/many_to_many/__init__.py
diff --git a/tests/modeltests/many_to_many/models.py b/tests/regressiontests/many_to_many/models.py
rename from tests/modeltests/many_to_many/models.py
rename to tests/regressiontests/many_to_many/models.py
diff --git a/tests/modeltests/many_to_many/tests.py b/tests/regressiontests/many_to_many/tests.py
rename from tests/modeltests/many_to_many/tests.py
rename to tests/regressiontests/many_to_many/tests.py
diff --git a/tests/modeltests/many_to_one/__init__.py b/tests/regressiontests/many_to_one/__init__.py
rename from tests/modeltests/many_to_one/__init__.py
rename to tests/regressiontests/many_to_one/__init__.py
diff --git a/tests/modeltests/many_to_one/models.py b/tests/regressiontests/many_to_one/models.py
rename from tests/modeltests/many_to_one/models.py
rename to tests/regressiontests/many_to_one/models.py
diff --git a/tests/modeltests/many_to_one/tests.py b/tests/regressiontests/many_to_one/tests.py
rename from tests/modeltests/many_to_one/tests.py
rename to tests/regressiontests/many_to_one/tests.py
diff --git a/tests/modeltests/many_to_one_null/__init__.py b/tests/regressiontests/many_to_one_null/__init__.py
rename from tests/modeltests/many_to_one_null/__init__.py
rename to tests/regressiontests/many_to_one_null/__init__.py
diff --git a/tests/modeltests/many_to_one_null/models.py b/tests/regressiontests/many_to_one_null/models.py
rename from tests/modeltests/many_to_one_null/models.py
rename to tests/regressiontests/many_to_one_null/models.py
diff --git a/tests/modeltests/many_to_one_null/tests.py b/tests/regressiontests/many_to_one_null/tests.py
rename from tests/modeltests/many_to_one_null/tests.py
rename to tests/regressiontests/many_to_one_null/tests.py
diff --git a/tests/modeltests/model_forms/__init__.py b/tests/regressiontests/model_forms/__init__.py
rename from tests/modeltests/model_forms/__init__.py
rename to tests/regressiontests/model_forms/__init__.py
diff --git a/tests/modeltests/model_forms/mforms.py b/tests/regressiontests/model_forms/mforms.py
rename from tests/modeltests/model_forms/mforms.py
rename to tests/regressiontests/model_forms/mforms.py
diff --git a/tests/modeltests/model_forms/models.py b/tests/regressiontests/model_forms/models.py
rename from tests/modeltests/model_forms/models.py
rename to tests/regressiontests/model_forms/models.py
diff --git a/tests/modeltests/model_forms/test.png b/tests/regressiontests/model_forms/test.png
rename from tests/modeltests/model_forms/test.png
rename to tests/regressiontests/model_forms/test.png
diff --git a/tests/modeltests/model_forms/test2.png b/tests/regressiontests/model_forms/test2.png
rename from tests/modeltests/model_forms/test2.png
rename to tests/regressiontests/model_forms/test2.png
diff --git a/tests/modeltests/model_forms/tests.py b/tests/regressiontests/model_forms/tests.py
rename from tests/modeltests/model_forms/tests.py
rename to tests/regressiontests/model_forms/tests.py
diff --git a/tests/modeltests/model_formsets/__init__.py b/tests/regressiontests/model_formsets/__init__.py
rename from tests/modeltests/model_formsets/__init__.py
rename to tests/regressiontests/model_formsets/__init__.py
diff --git a/tests/modeltests/model_formsets/models.py b/tests/regressiontests/model_formsets/models.py
rename from tests/modeltests/model_formsets/models.py
rename to tests/regressiontests/model_formsets/models.py
diff --git a/tests/modeltests/model_formsets/tests.py b/tests/regressiontests/model_formsets/tests.py
rename from tests/modeltests/model_formsets/tests.py
rename to tests/regressiontests/model_formsets/tests.py
--- a/tests/modeltests/model_formsets/tests.py
+++ b/tests/regressiontests/model_formsets/tests.py
@@ -9,7 +9,7 @@
     modelformset_factory, modelformset_factory)
 from django.test import TestCase, skipUnlessDBFeature
 
-from modeltests.model_formsets.models import (
+from models import (
     Author, BetterAuthor, Book, BookWithCustomPK, Editor,
     BookWithOptionalAltEditor, AlternateBook, AuthorMeeting, CustomPrimaryKey,
     Place, Owner, Location, OwnerProfile, Restaurant, Product, Price,
diff --git a/tests/modeltests/model_inheritance/__init__.py b/tests/regressiontests/model_inheritance/__init__.py
rename from tests/modeltests/model_inheritance/__init__.py
rename to tests/regressiontests/model_inheritance/__init__.py
diff --git a/tests/modeltests/model_inheritance/models.py b/tests/regressiontests/model_inheritance/models.py
rename from tests/modeltests/model_inheritance/models.py
rename to tests/regressiontests/model_inheritance/models.py
diff --git a/tests/modeltests/model_inheritance/tests.py b/tests/regressiontests/model_inheritance/tests.py
rename from tests/modeltests/model_inheritance/tests.py
rename to tests/regressiontests/model_inheritance/tests.py
diff --git a/tests/modeltests/model_inheritance_same_model_name/__init__.py b/tests/regressiontests/model_inheritance_same_model_name/__init__.py
rename from tests/modeltests/model_inheritance_same_model_name/__init__.py
rename to tests/regressiontests/model_inheritance_same_model_name/__init__.py
diff --git a/tests/modeltests/model_inheritance_same_model_name/models.py b/tests/regressiontests/model_inheritance_same_model_name/models.py
rename from tests/modeltests/model_inheritance_same_model_name/models.py
rename to tests/regressiontests/model_inheritance_same_model_name/models.py
--- a/tests/modeltests/model_inheritance_same_model_name/models.py
+++ b/tests/regressiontests/model_inheritance_same_model_name/models.py
@@ -7,7 +7,7 @@
 """
 
 from django.db import models
-from modeltests.model_inheritance.models import NamedURL
+from regressiontests.model_inheritance.models import NamedURL
 
 #
 # Abstract base classes with related models
diff --git a/tests/modeltests/model_inheritance_same_model_name/tests.py b/tests/regressiontests/model_inheritance_same_model_name/tests.py
rename from tests/modeltests/model_inheritance_same_model_name/tests.py
rename to tests/regressiontests/model_inheritance_same_model_name/tests.py
--- a/tests/modeltests/model_inheritance_same_model_name/tests.py
+++ b/tests/regressiontests/model_inheritance_same_model_name/tests.py
@@ -1,5 +1,5 @@
 from django.test import TestCase
-from modeltests.model_inheritance.models import Title
+from regressiontests.model_inheritance.models import Title
 
 class InheritanceSameModelNameTests(TestCase):
 
@@ -10,7 +10,7 @@
         self.title = Title.objects.create(title='Lorem Ipsum')
 
     def test_inheritance_related_name(self):
-        from modeltests.model_inheritance.models import Copy
+        from regressiontests.model_inheritance.models import Copy
         self.assertEqual(
             self.title.attached_model_inheritance_copy_set.create(
                 content='Save $ on V1agr@',
@@ -19,7 +19,7 @@
             ), Copy.objects.get(content='Save $ on V1agr@'))
 
     def test_inheritance_with_same_model_name(self):
-        from modeltests.model_inheritance_same_model_name.models import Copy
+        from regressiontests.model_inheritance_same_model_name.models import Copy
         self.assertEqual(
             self.title.attached_model_inheritance_same_model_name_copy_set.create(
                 content='The Web framework for perfectionists with deadlines.',
diff --git a/tests/modeltests/model_package/__init__.py b/tests/regressiontests/model_package/__init__.py
rename from tests/modeltests/model_package/__init__.py
rename to tests/regressiontests/model_package/__init__.py
diff --git a/tests/modeltests/model_package/models/__init__.py b/tests/regressiontests/model_package/models/__init__.py
rename from tests/modeltests/model_package/models/__init__.py
rename to tests/regressiontests/model_package/models/__init__.py
diff --git a/tests/modeltests/model_package/models/article.py b/tests/regressiontests/model_package/models/article.py
rename from tests/modeltests/model_package/models/article.py
rename to tests/regressiontests/model_package/models/article.py
diff --git a/tests/modeltests/model_package/models/publication.py b/tests/regressiontests/model_package/models/publication.py
rename from tests/modeltests/model_package/models/publication.py
rename to tests/regressiontests/model_package/models/publication.py
diff --git a/tests/modeltests/model_package/tests.py b/tests/regressiontests/model_package/tests.py
rename from tests/modeltests/model_package/tests.py
rename to tests/regressiontests/model_package/tests.py
diff --git a/tests/modeltests/mutually_referential/__init__.py b/tests/regressiontests/mutually_referential/__init__.py
rename from tests/modeltests/mutually_referential/__init__.py
rename to tests/regressiontests/mutually_referential/__init__.py
diff --git a/tests/modeltests/mutually_referential/models.py b/tests/regressiontests/mutually_referential/models.py
rename from tests/modeltests/mutually_referential/models.py
rename to tests/regressiontests/mutually_referential/models.py
diff --git a/tests/modeltests/mutually_referential/tests.py b/tests/regressiontests/mutually_referential/tests.py
rename from tests/modeltests/mutually_referential/tests.py
rename to tests/regressiontests/mutually_referential/tests.py
diff --git a/tests/modeltests/one_to_one/__init__.py b/tests/regressiontests/one_to_one/__init__.py
rename from tests/modeltests/one_to_one/__init__.py
rename to tests/regressiontests/one_to_one/__init__.py
diff --git a/tests/modeltests/one_to_one/models.py b/tests/regressiontests/one_to_one/models.py
rename from tests/modeltests/one_to_one/models.py
rename to tests/regressiontests/one_to_one/models.py
diff --git a/tests/modeltests/one_to_one/tests.py b/tests/regressiontests/one_to_one/tests.py
rename from tests/modeltests/one_to_one/tests.py
rename to tests/regressiontests/one_to_one/tests.py
diff --git a/tests/modeltests/or_lookups/__init__.py b/tests/regressiontests/or_lookups/__init__.py
rename from tests/modeltests/or_lookups/__init__.py
rename to tests/regressiontests/or_lookups/__init__.py
diff --git a/tests/modeltests/or_lookups/models.py b/tests/regressiontests/or_lookups/models.py
rename from tests/modeltests/or_lookups/models.py
rename to tests/regressiontests/or_lookups/models.py
diff --git a/tests/modeltests/or_lookups/tests.py b/tests/regressiontests/or_lookups/tests.py
rename from tests/modeltests/or_lookups/tests.py
rename to tests/regressiontests/or_lookups/tests.py
diff --git a/tests/modeltests/order_with_respect_to/__init__.py b/tests/regressiontests/order_with_respect_to/__init__.py
rename from tests/modeltests/order_with_respect_to/__init__.py
rename to tests/regressiontests/order_with_respect_to/__init__.py
diff --git a/tests/modeltests/order_with_respect_to/models.py b/tests/regressiontests/order_with_respect_to/models.py
rename from tests/modeltests/order_with_respect_to/models.py
rename to tests/regressiontests/order_with_respect_to/models.py
diff --git a/tests/modeltests/order_with_respect_to/tests.py b/tests/regressiontests/order_with_respect_to/tests.py
rename from tests/modeltests/order_with_respect_to/tests.py
rename to tests/regressiontests/order_with_respect_to/tests.py
diff --git a/tests/modeltests/ordering/__init__.py b/tests/regressiontests/ordering/__init__.py
rename from tests/modeltests/ordering/__init__.py
rename to tests/regressiontests/ordering/__init__.py
diff --git a/tests/modeltests/ordering/models.py b/tests/regressiontests/ordering/models.py
rename from tests/modeltests/ordering/models.py
rename to tests/regressiontests/ordering/models.py
diff --git a/tests/modeltests/ordering/tests.py b/tests/regressiontests/ordering/tests.py
rename from tests/modeltests/ordering/tests.py
rename to tests/regressiontests/ordering/tests.py
diff --git a/tests/modeltests/pagination/__init__.py b/tests/regressiontests/pagination/__init__.py
rename from tests/modeltests/pagination/__init__.py
rename to tests/regressiontests/pagination/__init__.py
diff --git a/tests/modeltests/pagination/models.py b/tests/regressiontests/pagination/models.py
rename from tests/modeltests/pagination/models.py
rename to tests/regressiontests/pagination/models.py
diff --git a/tests/modeltests/pagination/tests.py b/tests/regressiontests/pagination/tests.py
rename from tests/modeltests/pagination/tests.py
rename to tests/regressiontests/pagination/tests.py
diff --git a/tests/modeltests/properties/__init__.py b/tests/regressiontests/properties/__init__.py
rename from tests/modeltests/properties/__init__.py
rename to tests/regressiontests/properties/__init__.py
diff --git a/tests/modeltests/properties/models.py b/tests/regressiontests/properties/models.py
rename from tests/modeltests/properties/models.py
rename to tests/regressiontests/properties/models.py
diff --git a/tests/modeltests/properties/tests.py b/tests/regressiontests/properties/tests.py
rename from tests/modeltests/properties/tests.py
rename to tests/regressiontests/properties/tests.py
diff --git a/tests/modeltests/proxy_model_inheritance/__init__.py b/tests/regressiontests/proxy_model_inheritance/__init__.py
rename from tests/modeltests/proxy_model_inheritance/__init__.py
rename to tests/regressiontests/proxy_model_inheritance/__init__.py
diff --git a/tests/modeltests/proxy_model_inheritance/app1/__init__.py b/tests/regressiontests/proxy_model_inheritance/app1/__init__.py
rename from tests/modeltests/proxy_model_inheritance/app1/__init__.py
rename to tests/regressiontests/proxy_model_inheritance/app1/__init__.py
diff --git a/tests/modeltests/proxy_model_inheritance/app1/models.py b/tests/regressiontests/proxy_model_inheritance/app1/models.py
rename from tests/modeltests/proxy_model_inheritance/app1/models.py
rename to tests/regressiontests/proxy_model_inheritance/app1/models.py
diff --git a/tests/modeltests/proxy_model_inheritance/app2/__init__.py b/tests/regressiontests/proxy_model_inheritance/app2/__init__.py
rename from tests/modeltests/proxy_model_inheritance/app2/__init__.py
rename to tests/regressiontests/proxy_model_inheritance/app2/__init__.py
diff --git a/tests/modeltests/proxy_model_inheritance/app2/models.py b/tests/regressiontests/proxy_model_inheritance/app2/models.py
rename from tests/modeltests/proxy_model_inheritance/app2/models.py
rename to tests/regressiontests/proxy_model_inheritance/app2/models.py
diff --git a/tests/modeltests/proxy_model_inheritance/models.py b/tests/regressiontests/proxy_model_inheritance/models.py
rename from tests/modeltests/proxy_model_inheritance/models.py
rename to tests/regressiontests/proxy_model_inheritance/models.py
diff --git a/tests/modeltests/proxy_model_inheritance/tests.py b/tests/regressiontests/proxy_model_inheritance/tests.py
rename from tests/modeltests/proxy_model_inheritance/tests.py
rename to tests/regressiontests/proxy_model_inheritance/tests.py
diff --git a/tests/modeltests/proxy_models/__init__.py b/tests/regressiontests/proxy_models/__init__.py
rename from tests/modeltests/proxy_models/__init__.py
rename to tests/regressiontests/proxy_models/__init__.py
diff --git a/tests/modeltests/proxy_models/fixtures/mypeople.json b/tests/regressiontests/proxy_models/fixtures/mypeople.json
rename from tests/modeltests/proxy_models/fixtures/mypeople.json
rename to tests/regressiontests/proxy_models/fixtures/mypeople.json
diff --git a/tests/modeltests/proxy_models/models.py b/tests/regressiontests/proxy_models/models.py
rename from tests/modeltests/proxy_models/models.py
rename to tests/regressiontests/proxy_models/models.py
diff --git a/tests/modeltests/proxy_models/tests.py b/tests/regressiontests/proxy_models/tests.py
rename from tests/modeltests/proxy_models/tests.py
rename to tests/regressiontests/proxy_models/tests.py
diff --git a/tests/modeltests/raw_query/__init__.py b/tests/regressiontests/raw_query/__init__.py
rename from tests/modeltests/raw_query/__init__.py
rename to tests/regressiontests/raw_query/__init__.py
diff --git a/tests/modeltests/raw_query/fixtures/raw_query_books.json b/tests/regressiontests/raw_query/fixtures/raw_query_books.json
rename from tests/modeltests/raw_query/fixtures/raw_query_books.json
rename to tests/regressiontests/raw_query/fixtures/raw_query_books.json
diff --git a/tests/modeltests/raw_query/models.py b/tests/regressiontests/raw_query/models.py
rename from tests/modeltests/raw_query/models.py
rename to tests/regressiontests/raw_query/models.py
diff --git a/tests/modeltests/raw_query/tests.py b/tests/regressiontests/raw_query/tests.py
rename from tests/modeltests/raw_query/tests.py
rename to tests/regressiontests/raw_query/tests.py
diff --git a/tests/modeltests/reserved_names/__init__.py b/tests/regressiontests/reserved_names/__init__.py
rename from tests/modeltests/reserved_names/__init__.py
rename to tests/regressiontests/reserved_names/__init__.py
diff --git a/tests/modeltests/reserved_names/models.py b/tests/regressiontests/reserved_names/models.py
rename from tests/modeltests/reserved_names/models.py
rename to tests/regressiontests/reserved_names/models.py
diff --git a/tests/modeltests/reserved_names/tests.py b/tests/regressiontests/reserved_names/tests.py
rename from tests/modeltests/reserved_names/tests.py
rename to tests/regressiontests/reserved_names/tests.py
diff --git a/tests/modeltests/reverse_lookup/__init__.py b/tests/regressiontests/reverse_lookup/__init__.py
rename from tests/modeltests/reverse_lookup/__init__.py
rename to tests/regressiontests/reverse_lookup/__init__.py
diff --git a/tests/modeltests/reverse_lookup/models.py b/tests/regressiontests/reverse_lookup/models.py
rename from tests/modeltests/reverse_lookup/models.py
rename to tests/regressiontests/reverse_lookup/models.py
diff --git a/tests/modeltests/reverse_lookup/tests.py b/tests/regressiontests/reverse_lookup/tests.py
rename from tests/modeltests/reverse_lookup/tests.py
rename to tests/regressiontests/reverse_lookup/tests.py
diff --git a/tests/modeltests/save_delete_hooks/__init__.py b/tests/regressiontests/save_delete_hooks/__init__.py
rename from tests/modeltests/save_delete_hooks/__init__.py
rename to tests/regressiontests/save_delete_hooks/__init__.py
diff --git a/tests/modeltests/save_delete_hooks/models.py b/tests/regressiontests/save_delete_hooks/models.py
rename from tests/modeltests/save_delete_hooks/models.py
rename to tests/regressiontests/save_delete_hooks/models.py
diff --git a/tests/modeltests/save_delete_hooks/tests.py b/tests/regressiontests/save_delete_hooks/tests.py
rename from tests/modeltests/save_delete_hooks/tests.py
rename to tests/regressiontests/save_delete_hooks/tests.py
diff --git a/tests/modeltests/select_for_update/__init__.py b/tests/regressiontests/select_for_update/__init__.py
rename from tests/modeltests/select_for_update/__init__.py
rename to tests/regressiontests/select_for_update/__init__.py
diff --git a/tests/modeltests/select_for_update/models.py b/tests/regressiontests/select_for_update/models.py
rename from tests/modeltests/select_for_update/models.py
rename to tests/regressiontests/select_for_update/models.py
diff --git a/tests/modeltests/select_for_update/tests.py b/tests/regressiontests/select_for_update/tests.py
rename from tests/modeltests/select_for_update/tests.py
rename to tests/regressiontests/select_for_update/tests.py
diff --git a/tests/modeltests/select_related/__init__.py b/tests/regressiontests/select_related/__init__.py
rename from tests/modeltests/select_related/__init__.py
rename to tests/regressiontests/select_related/__init__.py
diff --git a/tests/modeltests/select_related/models.py b/tests/regressiontests/select_related/models.py
rename from tests/modeltests/select_related/models.py
rename to tests/regressiontests/select_related/models.py
diff --git a/tests/modeltests/select_related/tests.py b/tests/regressiontests/select_related/tests.py
rename from tests/modeltests/select_related/tests.py
rename to tests/regressiontests/select_related/tests.py
diff --git a/tests/modeltests/serializers/__init__.py b/tests/regressiontests/serializers/__init__.py
rename from tests/modeltests/serializers/__init__.py
rename to tests/regressiontests/serializers/__init__.py
diff --git a/tests/modeltests/serializers/models.py b/tests/regressiontests/serializers/models.py
rename from tests/modeltests/serializers/models.py
rename to tests/regressiontests/serializers/models.py
diff --git a/tests/modeltests/serializers/tests.py b/tests/regressiontests/serializers/tests.py
rename from tests/modeltests/serializers/tests.py
rename to tests/regressiontests/serializers/tests.py
diff --git a/tests/modeltests/signals/__init__.py b/tests/regressiontests/signals/__init__.py
rename from tests/modeltests/signals/__init__.py
rename to tests/regressiontests/signals/__init__.py
diff --git a/tests/modeltests/signals/models.py b/tests/regressiontests/signals/models.py
rename from tests/modeltests/signals/models.py
rename to tests/regressiontests/signals/models.py
diff --git a/tests/modeltests/signals/tests.py b/tests/regressiontests/signals/tests.py
rename from tests/modeltests/signals/tests.py
rename to tests/regressiontests/signals/tests.py
diff --git a/tests/modeltests/str/__init__.py b/tests/regressiontests/str/__init__.py
rename from tests/modeltests/str/__init__.py
rename to tests/regressiontests/str/__init__.py
diff --git a/tests/modeltests/str/models.py b/tests/regressiontests/str/models.py
rename from tests/modeltests/str/models.py
rename to tests/regressiontests/str/models.py
diff --git a/tests/modeltests/str/tests.py b/tests/regressiontests/str/tests.py
rename from tests/modeltests/str/tests.py
rename to tests/regressiontests/str/tests.py
diff --git a/tests/modeltests/test_client/__init__.py b/tests/regressiontests/test_client/__init__.py
rename from tests/modeltests/test_client/__init__.py
rename to tests/regressiontests/test_client/__init__.py
diff --git a/tests/modeltests/test_client/fixtures/testdata.json b/tests/regressiontests/test_client/fixtures/testdata.json
rename from tests/modeltests/test_client/fixtures/testdata.json
rename to tests/regressiontests/test_client/fixtures/testdata.json
diff --git a/tests/modeltests/test_client/models.py b/tests/regressiontests/test_client/models.py
rename from tests/modeltests/test_client/models.py
rename to tests/regressiontests/test_client/models.py
diff --git a/tests/modeltests/test_client/tests.py b/tests/regressiontests/test_client/tests.py
rename from tests/modeltests/test_client/tests.py
rename to tests/regressiontests/test_client/tests.py
diff --git a/tests/modeltests/test_client/urls.py b/tests/regressiontests/test_client/urls.py
rename from tests/modeltests/test_client/urls.py
rename to tests/regressiontests/test_client/urls.py
diff --git a/tests/modeltests/test_client/views.py b/tests/regressiontests/test_client/views.py
rename from tests/modeltests/test_client/views.py
rename to tests/regressiontests/test_client/views.py
--- a/tests/modeltests/test_client/views.py
+++ b/tests/regressiontests/test_client/views.py
@@ -151,7 +151,7 @@
                  name='Permissions Template')
     c = Context({'user': request.user})
     return HttpResponse(t.render(c))
-permission_protected_view = permission_required('modeltests.test_perm')(permission_protected_view)
+permission_protected_view = permission_required('regressiontests.test_perm')(permission_protected_view)
 
 class _ViewManager(object):
     @method_decorator(login_required)
@@ -162,7 +162,7 @@
         c = Context({'user': request.user})
         return HttpResponse(t.render(c))
 
-    @method_decorator(permission_required('modeltests.test_perm'))
+    @method_decorator(permission_required('regressiontests.test_perm'))
     def permission_protected_view(self, request):
         t = Template('This is a permission protected test using a method. '
                      'Username is {{ user.username }}. '
diff --git a/tests/modeltests/transactions/__init__.py b/tests/regressiontests/transactions/__init__.py
rename from tests/modeltests/transactions/__init__.py
rename to tests/regressiontests/transactions/__init__.py
diff --git a/tests/modeltests/transactions/models.py b/tests/regressiontests/transactions/models.py
rename from tests/modeltests/transactions/models.py
rename to tests/regressiontests/transactions/models.py
diff --git a/tests/modeltests/transactions/tests.py b/tests/regressiontests/transactions/tests.py
rename from tests/modeltests/transactions/tests.py
rename to tests/regressiontests/transactions/tests.py
diff --git a/tests/modeltests/unmanaged_models/__init__.py b/tests/regressiontests/unmanaged_models/__init__.py
rename from tests/modeltests/unmanaged_models/__init__.py
rename to tests/regressiontests/unmanaged_models/__init__.py
diff --git a/tests/modeltests/unmanaged_models/models.py b/tests/regressiontests/unmanaged_models/models.py
rename from tests/modeltests/unmanaged_models/models.py
rename to tests/regressiontests/unmanaged_models/models.py
diff --git a/tests/modeltests/unmanaged_models/tests.py b/tests/regressiontests/unmanaged_models/tests.py
rename from tests/modeltests/unmanaged_models/tests.py
rename to tests/regressiontests/unmanaged_models/tests.py
diff --git a/tests/modeltests/update/__init__.py b/tests/regressiontests/update/__init__.py
rename from tests/modeltests/update/__init__.py
rename to tests/regressiontests/update/__init__.py
diff --git a/tests/modeltests/update/models.py b/tests/regressiontests/update/models.py
rename from tests/modeltests/update/models.py
rename to tests/regressiontests/update/models.py
diff --git a/tests/modeltests/update/tests.py b/tests/regressiontests/update/tests.py
rename from tests/modeltests/update/tests.py
rename to tests/regressiontests/update/tests.py
diff --git a/tests/modeltests/user_commands/__init__.py b/tests/regressiontests/user_commands/__init__.py
rename from tests/modeltests/user_commands/__init__.py
rename to tests/regressiontests/user_commands/__init__.py
diff --git a/tests/modeltests/user_commands/management/__init__.py b/tests/regressiontests/user_commands/management/__init__.py
rename from tests/modeltests/user_commands/management/__init__.py
rename to tests/regressiontests/user_commands/management/__init__.py
diff --git a/tests/modeltests/user_commands/management/commands/__init__.py b/tests/regressiontests/user_commands/management/commands/__init__.py
rename from tests/modeltests/user_commands/management/commands/__init__.py
rename to tests/regressiontests/user_commands/management/commands/__init__.py
diff --git a/tests/modeltests/user_commands/management/commands/dance.py b/tests/regressiontests/user_commands/management/commands/dance.py
rename from tests/modeltests/user_commands/management/commands/dance.py
rename to tests/regressiontests/user_commands/management/commands/dance.py
diff --git a/tests/modeltests/user_commands/models.py b/tests/regressiontests/user_commands/models.py
rename from tests/modeltests/user_commands/models.py
rename to tests/regressiontests/user_commands/models.py
diff --git a/tests/modeltests/user_commands/tests.py b/tests/regressiontests/user_commands/tests.py
rename from tests/modeltests/user_commands/tests.py
rename to tests/regressiontests/user_commands/tests.py
diff --git a/tests/modeltests/validation/__init__.py b/tests/regressiontests/validation/__init__.py
rename from tests/modeltests/validation/__init__.py
rename to tests/regressiontests/validation/__init__.py
diff --git a/tests/modeltests/validation/models.py b/tests/regressiontests/validation/models.py
rename from tests/modeltests/validation/models.py
rename to tests/regressiontests/validation/models.py
diff --git a/tests/modeltests/validation/test_custom_messages.py b/tests/regressiontests/validation/test_custom_messages.py
rename from tests/modeltests/validation/test_custom_messages.py
rename to tests/regressiontests/validation/test_custom_messages.py
--- a/tests/modeltests/validation/test_custom_messages.py
+++ b/tests/regressiontests/validation/test_custom_messages.py
@@ -1,4 +1,4 @@
-from modeltests.validation import ValidationTestCase
+from regressiontests.validation import ValidationTestCase
 from models import CustomMessagesModel
 
 
diff --git a/tests/modeltests/validation/test_unique.py b/tests/regressiontests/validation/test_unique.py
rename from tests/modeltests/validation/test_unique.py
rename to tests/regressiontests/validation/test_unique.py
diff --git a/tests/modeltests/validation/tests.py b/tests/regressiontests/validation/tests.py
rename from tests/modeltests/validation/tests.py
rename to tests/regressiontests/validation/tests.py
--- a/tests/modeltests/validation/tests.py
+++ b/tests/regressiontests/validation/tests.py
@@ -1,14 +1,14 @@
 from django import forms
 from django.test import TestCase
 from django.core.exceptions import NON_FIELD_ERRORS
-from modeltests.validation import ValidationTestCase
-from modeltests.validation.models import Author, Article, ModelToValidate
+from regressiontests.validation import ValidationTestCase
+from regressiontests.validation.models import Author, Article, ModelToValidate
 
 # Import other tests for this package.
-from modeltests.validation.validators import TestModelsWithValidators
-from modeltests.validation.test_unique import (GetUniqueCheckTests,
+from regressiontests.validation.validators import TestModelsWithValidators
+from regressiontests.validation.test_unique import (GetUniqueCheckTests,
     PerformUniqueChecksTest)
-from modeltests.validation.test_custom_messages import CustomMessagesTest
+from regressiontests.validation.test_custom_messages import CustomMessagesTest
 
 
 class BaseModelValidationTests(ValidationTestCase):
diff --git a/tests/modeltests/validation/validators.py b/tests/regressiontests/validation/validators.py
rename from tests/modeltests/validation/validators.py
rename to tests/regressiontests/validation/validators.py
--- a/tests/modeltests/validation/validators.py
+++ b/tests/regressiontests/validation/validators.py
@@ -1,6 +1,6 @@
 from django.utils.unittest import TestCase
 
-from modeltests.validation import ValidationTestCase
+from regressiontests.validation import ValidationTestCase
 from models import *
 
 
diff --git a/tests/modeltests/validators/__init__.py b/tests/regressiontests/validators/__init__.py
rename from tests/modeltests/validators/__init__.py
rename to tests/regressiontests/validators/__init__.py
diff --git a/tests/modeltests/validators/models.py b/tests/regressiontests/validators/models.py
rename from tests/modeltests/validators/models.py
rename to tests/regressiontests/validators/models.py
diff --git a/tests/modeltests/validators/tests.py b/tests/regressiontests/validators/tests.py
rename from tests/modeltests/validators/tests.py
rename to tests/regressiontests/validators/tests.py
diff --git a/tests/runtests.py b/tests/runtests.py
--- a/tests/runtests.py
+++ b/tests/runtests.py
@@ -5,13 +5,11 @@
 from django.utils import unittest
 
 CONTRIB_DIR_NAME = 'django.contrib'
-MODEL_TESTS_DIR_NAME = 'modeltests'
 REGRESSION_TESTS_DIR_NAME = 'regressiontests'
 
 TEST_TEMPLATE_DIR = 'templates'
 
 CONTRIB_DIR = os.path.dirname(contrib.__file__)
-MODEL_TEST_DIR = os.path.join(os.path.dirname(__file__), MODEL_TESTS_DIR_NAME)
 REGRESSION_TEST_DIR = os.path.join(os.path.dirname(__file__), REGRESSION_TESTS_DIR_NAME)
 
 REGRESSION_SUBDIRS_TO_SKIP = ['locale']
@@ -39,7 +37,7 @@
 
 def get_test_modules():
     modules = []
-    for loc, dirpath in (MODEL_TESTS_DIR_NAME, MODEL_TEST_DIR), (REGRESSION_TESTS_DIR_NAME, REGRESSION_TEST_DIR), (CONTRIB_DIR_NAME, CONTRIB_DIR):
+    for loc, dirpath in (REGRESSION_TESTS_DIR_NAME, REGRESSION_TEST_DIR), (CONTRIB_DIR_NAME, CONTRIB_DIR):
         for f in os.listdir(dirpath):
             if f.startswith('__init__') or f.startswith('.') or \
                f.startswith('sql') or f.startswith('invalid') or \
@@ -50,7 +48,7 @@
 
 def get_invalid_modules():
     modules = []
-    for loc, dirpath in (MODEL_TESTS_DIR_NAME, MODEL_TEST_DIR), (REGRESSION_TESTS_DIR_NAME, REGRESSION_TEST_DIR), (CONTRIB_DIR_NAME, CONTRIB_DIR):
+    for loc, dirpath in (REGRESSION_TESTS_DIR_NAME, REGRESSION_TEST_DIR), (CONTRIB_DIR_NAME, CONTRIB_DIR):
         for f in os.listdir(dirpath):
             if f.startswith('__init__') or f.startswith('.') or f.startswith('sql'):
                 continue
diff --git a/tests/urls.py b/tests/urls.py
--- a/tests/urls.py
+++ b/tests/urls.py
@@ -3,7 +3,7 @@
 
 urlpatterns = patterns('',
     # test_client modeltest urls
-    (r'^test_client/', include('modeltests.test_client.urls')),
+    (r'^test_client/', include('regressiontests.test_client.urls')),
     (r'^test_client_regress/', include('regressiontests.test_client_regress.urls')),
 
     # File upload test views
